<script type="text/javascript">
    $(document).ready(function () {

        $("#WhatsAppNotification_submit_button").click(function () {
            MioAjaxElement($(this), {
                waiting_text: '<?php echo ___("needs/button-waiting"); ?>',
                progress_text: '<?php echo ___("needs/button-uploading"); ?>',
                result: "WhatsAppNotification_settingsForm_handler",
            });
        });

    });

    function WhatsAppNotification_settingsForm_handler(result) {
        if (result != '') {
            var solve = getJson(result);
            if (solve !== false) {
                if (solve.status == "error") {
                    if (solve.for != undefined && solve.for != '') {
                        $("#WhatsAppNotification_settingsForm " + solve.for).focus();
                        $("#WhatsAppNotification_settingsForm " + solve.for).attr("style", "border-bottom:2px solid red; color:red;");
                        $("#WhatsAppNotification_settingsForm " + solve.for).change(function () {
                            $(this).removeAttr("style");
                        });
                    }
                    if (solve.message != undefined && solve.message != '')
                        alert_error(solve.message, {
                            timer: 10000
                        });
                } else if (solve.status == "successful") {
                    if (solve.message != undefined) {
                        alert_success(solve.message, {
                            timer: 3000
                        });
                    }
                    if (solve.redirect != undefined && solve.redirect != '') window.location.href = solve.redirect;
                }
            } else
                console.log(result);
        }
    }
</script>
<form action="<?php echo $request_uri; ?>?module=WhatsAppNotification" method="post" id="WhatsAppNotification_settingsForm">
    <input type="hidden" name="operation" value="get_addon_content">
    <input type="hidden" name="module_operation" value="save_config">


    <div class="formcon">
        <div class="yuzde30">API Key</div>
        <div class="yuzde70">
            <input type="text" name="api_key" value="<?php echo $config["settings"]["api_key"]; ?>">
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">Yönetici Telefon Numaraları</div>
        <div class="yuzde70">
            <textarea name="phone_number" ><?php echo $config["settings"]["phone_number"]; ?></textarea>
        </div>
    </div>

    <div class="addoninfo">
        <h4 class="addon-name">Müşteri Bildirim Mesajları</h4>
        <p>Müşterilere gönderilecek bildirimleri işaretleyin</p>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/invoice"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'invoice-created',
                'invoice-returned',
                'invoice-cancelled',
                'invoice-reminder',
                'invoice-overdue',
                'invoice-has-been-approved',
                'invoice-has-been-taxed',
                'invoice-awaiting-confirmation',
                'invoice-auto-payment-failed',
                'invoice-subscription-payment-failed'
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/order"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'order-has-been-taken',
                'order-has-been-approved',
                'order-has-been-suspended',
                'order-has-been-activated',
                'order-has-been-cancelled',
                'hosting-server-activation',
                'order-has-been-extended',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/domain"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'domain-registered',
                'domain-transfered',
                'domain-has-been-activated',
                'domain-has-been-extended',
                'domain-has-been-suspended',
                'domain-has-been-cancelled',
                'domain-submit-transfer-code',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    
    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/user-tickets"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'ticket-resolved-automatic',
                'ticket-replied-by-admin',
                'ticket-has-been-created-by-admin',
                'ticket-your-has-been-created',
                'ticket-your-has-been-processed',
                'ticket-resolved-by-admin',
                'ticket-replied-by-admin-pipe',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/sms"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'sms-origin-request-received',
                'sms-origin-has-been-approved',
                'sms-origin-has-been-inactivated',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/sms-intl"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'sms-intl-origin-request-received',
                'sms-intl-origin-has-been-approved',
                'sms-intl-origin-has-been-inactivated',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/user"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'welcome',
                'forget-password',
                'forget-password-admin',
                'email-activation',
                'gsm-activation',
                'approve-ctoc-service-transfer',
                'account-has-been-blocked',
                'account-has-been-activated',
                'dealership-has-been-activated',
                'credit-fell-below-a-minimum',
                'contact-form-admin-reply',
                'message-from-admin',
                'email-changed',
                'password-changed',
                'failed-member-login-attempt',
                'approved-gdpr-request',
                'declined-gdpr-request',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="addoninfo">
        <h4 class="addon-name">Yönetici Bildirim Mesajları</h4>
        <p>Yöneticiye gönderilecek bildirimleri işaretleyin</p>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/invoice"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'invoice-created-foradmin',
                'invoice-returned-foradmin',
                'invoice-cancelled-foradmin',
                'invoice-reminder-foradmin',
                'invoice-overdue-foradmin',
                'invoice-has-been-approved-foradmin',
                'invoice-has-been-taxed-foradmin',
                'invoice-awaiting-confirmation-foradmin',
                'invoice-auto-payment-failed-foradmin',
                'invoice-subscription-payment-failed-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/order"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'order-has-been-taken-foradmin',
                'order-has-been-approved-foradmin',
                'order-has-been-suspended-foradmin',
                'order-has-been-activated-foradmin',
                'order-has-been-cancelled-foradmin',
                'hosting-server-activation-foradmin',
                'order-has-been-extended-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/domain"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'domain-registered-foradmin',
                'domain-transfered-foradmin',
                'domain-has-been-activated-foradmin',
                'domain-has-been-extended-foradmin',
                'domain-has-been-suspended-foradmin',
                'domain-has-been-cancelled-foradmin',
                'domain-submit-transfer-code-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/sms"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'sms-origin-request-received-foradmin',
                'sms-origin-has-been-approved-foradmin',
                'sms-origin-has-been-inactivated-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/sms-intl"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'sms-intl-origin-request-received-foradmin',
                'sms-intl-origin-has-been-approved-foradmin',
                'sms-intl-origin-has-been-inactivated-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/user"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'welcome-foradmin',
                'forget-password-foradmin',
                'forget-password-admin-foradmin',
                'email-activation-foradmin',
                'gsm-activation-foradmin',
                'approve-ctoc-service-transfer-foradmin',
                'account-has-been-blocked-foradmin',
                'account-has-been-activated-foradmin',
                'dealership-has-been-activated-foradmin',
                'credit-fell-below-a-minimum-foradmin',
                'contact-form-admin-reply-foradmin',
                'message-from-admin-foradmin',
                'email-changed-foradmin',
                'password-changed-foradmin',
                'failed-member-login-attempt-foradmin',
                'approved-gdpr-request-foradmin',
                'declined-gdpr-request-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/admin-tickets"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'ticket-assigned-to-you-foradmin',
                'ticket-resolved-by-user-foradmin',
                'ticket-replied-by-user-foradmin',
                'ticket-has-been-created-by-user-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30">
            <?php echo __("admin/notifications/groups/admin-messages"); ?>
        </div>
        <div class="yuzde70">
            <?php
            $list = [
                'contact-form-foradmin',
                'customer-feedback-foradmin',
                'failed-order-activation-foradmin',
                'need-manually-upgrading-foradmin',
                'need-manually-transaction-foradmin',
                'customer-has-upgraded-foradmin',
                'cancel-request-created-foradmin',
                'created-backup-db-foradmin',
                'task-plan-created-foradmin',
                'reminding-foradmin',
                'failed-admin-login-attempt-foradmin',
            ];

            foreach ($list as $option) {
                $replaced = str_replace("-", "_", $option);
                $option = str_replace("-foradmin", "", $option);
                ?>
                <div class="formcon">
                    <div class="yuzde30">
                        <?php echo __("admin/notifications/templates/$option"); ?>
                    </div>
                    <div class="yuzde70">
                        <div class="addoncontrol">
                            <input type="checkbox" id="<?php echo $replaced ?>" name="<?php echo $replaced ?>" class="sitemio-checkbox" <?php echo $config["settings"][$replaced] ? "checked" : ""; ?>>
                            <label for="<?php echo $replaced ?>" class="sitemio-checkbox-label"></label>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="clear"></div>

    <div class="guncellebtn yuzde30" style="float: right;">
        <a href="javascript:void 0;" class="gonderbtn yesilbtn" id="WhatsAppNotification_submit_button">
            <?php echo ___("needs/button-save"); ?>
        </a>
    </div>
    <div class="clear"></div>

</form>